Page MenuHomePhabricator

Lightboxes: cannot read property msie of undefined (jquery.ui)
Closed, ResolvedPublic

Description

Console output

On actual MW and Thanks master git branch if i click on "thanks" (Confirmation is enabled) i become a simple grey overlay and the error in console:
Uncaught TypeError: Cannot read property 'msie' of undefined

This may be because of upgrade from jQuery 1.8 to 1.11.x (see http://www.mail-archive.com/wikitech-l@lists.wikimedia.org/msg75735.html), $.browser was deprecated and removed since version 1.9 (see http://api.jquery.com/jQuery.browser/)

So, the thanks function doesn't work for me in actual master versions (maybe other extensions/functions are broken too).

Information about wiki installation:
MW: 1.24alpha (c812315) 21:47, 8 June 2014
PHP: 5.5.3-1ubuntu2.3 (apache2handler)
MySQL: 5.5.37-0ubuntu0.13.10.1

installed Extensions:
Echo – (d4acf1d) 19:53, 4 June 2014
MobileFrontend – (51a2297) 19:57, 8 June 2014
Thanks 1.2.0 (08c6fb5) 19:58, 8 June 2014


Version: 1.24rc
Severity: major

Attached:

Details

Reference
bz66365

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz66365.
Florian created this task.Jun 9 2014, 10:47 AM

Any access to jquery.ui.dialog is now broken in master :S

Change 138325 had a related patch set uploaded by Florianschmidtwelzow:
Replace use of jQuery.browser

https://gerrit.wikimedia.org/r/138325

Change 138325 abandoned by Florianschmidtwelzow:
Replace use of jQuery.browser

Reason:
Much better to upgrade the libary:
I0e10b42fb7c25b9d4704719f21c44c08f36ddfa7

https://gerrit.wikimedia.org/r/138325

Should be fixed by upgrading jQuery UI.